Package com.usatiuk.kleppmanntree

# Record Class LogEffect<TimestampT extends Comparable<TimestampT>,PeerIdT extends Comparable<PeerIdT>,MetaT extends NodeMeta,NodeIdT>

java.lang.Object
java.lang.Record
com.usatiuk.kleppmanntree.LogEffect<TimestampT,PeerIdT,MetaT,NodeIdT>

All Implemented Interfaces:
  `Serializable`

public record LogEffect<TimestampT extends Comparable<TimestampT>,PeerIdT extends Comparable<PeerIdT>,MetaT extends NodeMeta,NodeIdT>(LogEffectOld<TimestampT extends Comparable<TimestampT>,PeerIdT extends Comparable<PeerIdT>,MetaT extends NodeMeta,NodeIdT> oldInfo, OpMove<TimestampT extends Comparable<TimestampT>,PeerIdT extends Comparable<PeerIdT>,MetaT extends NodeMeta,NodeIdT> effectiveOp, NodeIdT newParentId, MetaT extends NodeMeta newMeta, NodeIdT childId) extends Record implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LogEffect(LogEffectOld<TimestampT,PeerIdT,MetaT,NodeIdT> oldInfo, OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> effectiveOp, NodeIdT newParentId, MetaT newMeta, NodeIdT childId)`
Creates an instance of a `LogEffect` record class.

## Method Summary

Modifier and Type
Method
Description
`NodeIdT`
`childId()`
Returns the value of the `childId` record component.
`OpMove<TimestampT,PeerIdT,MetaT,NodeIdT>`
`effectiveOp()`
Returns the value of the `effectiveOp` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`MetaT`
`newMeta()`
Returns the value of the `newMeta` record component.
`String`
`newName()`
`NodeIdT`
`newParentId()`
Returns the value of the `newParentId` record component.
`LogEffectOld<TimestampT,PeerIdT,MetaT,NodeIdT>`
`oldInfo()`
Returns the value of the `oldInfo` record component.
`String`
`oldName()`
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LogEffect

public LogEffect(LogEffectOld<TimestampT,PeerIdT,MetaT,NodeIdT> oldInfo, OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> effectiveOp, NodeIdT newParentId, MetaT newMeta, NodeIdT childId)
Creates an instance of a `LogEffect` record class.

Parameters:
  `oldInfo` - the value for the `oldInfo` record component
  `effectiveOp` - the value for the `effectiveOp` record component
  `newParentId` - the value for the `newParentId` record component
  `newMeta` - the value for the `newMeta` record component
  `childId` - the value for the `childId` record component

## Method Details

### oldName

public String oldName()

### newName

public String newName()

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### oldInfo

public LogEffectOld<TimestampT,PeerIdT,MetaT,NodeIdT> oldInfo()
Returns the value of the `oldInfo` record component.

Returns:
  the value of the `oldInfo` record component

### effectiveOp

public OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> effectiveOp()
Returns the value of the `effectiveOp` record component.

Returns:
  the value of the `effectiveOp` record component

### newParentId

public NodeIdT newParentId()
Returns the value of the `newParentId` record component.

Returns:
  the value of the `newParentId` record component

### newMeta

public MetaT newMeta()
Returns the value of the `newMeta` record component.

Returns:
  the value of the `newMeta` record component

### childId

public NodeIdT childId()
Returns the value of the `childId` record component.

Returns:
  the value of the `childId` record component